Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::View Struct Reference

## Description

View concepts below.

Inheritance diagram for ranges::v3::concepts::View:

## Public Member Functions
template<typename T >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_true(detail::view_predicate_< T >())))
Public Member Functions inherited from ranges::v3::concepts::refines< Range, Movable, DefaultConstructible >
void | requires_ ()

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< Range, Movable, DefaultConstructible >
using | base_concepts_t = meta::list< Concepts... >